TRASH-PUT(1)

NAME
trash-put - Command line trash utility.

SYNOPSIS
trash [OPTION] ... [ARGUMENTS] ...
trash-put [OPTION] ... [ARGUMENTS] ...

DESCRIPTION

Trash-cli package provides a command line interface trashcan utility compliant with the FreeDesktop.org Trash Specification. It remembers the name, original path, deletion date, and permissions of each trashed file.

Files trashed from the home partition will be in either $XDG_DATA_HOME/Trash or ~/.local/share/Trash/ (if $XDG_DATA_HOME is not defined or empty).

Files trashed from other partitions will be in one of the two places:

 - $top_dir/.Trash/$uid
 - $top_dir/.Trash-$uid

Where:
 - $top_dir is the mount point of the volume containing the file to be removed
 - $uid is the numeric ID of the deleting user

The first option $top_dir/.Trash/$uid works only when .Trash dir has the sticky bit set. The second option is used when the first is not viable.

ARGUMENTS

Names of files or directories to move in the trashcan.

OPTIONS

-f
    Silently ignore any files or directories that do not exist. Do not print error messages, and do not return a nonzero status to the caller, because of any such nonexistent arguments.

-h, --help
    Show help message and exit.

--trash-dir=TRASHDIR
    Use TRASHDIR as the trash folder.

-v, --verbose
    Explain what is being done.

--version
    Show the program's version number and exit.

EXAMPLES
$ trash-put foo   # trashes foo

BUGS
Please, report bugs to https://github.com/andreafrancia/trash-cli/issues

IF YOU WANT SAY THANKS
Tweet (to @andreafrancia or #trash-cli) or donate 1, 2 or 5 euros using paypal: https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=93L6PYT4WBN5A

CREDITS
Trash was written by Andrea Francia <andrea@andreafrancia.it>. The original version of trash-empty was contributed by Einar Orn Olason <eoo@hi.is>. The first version of manual pages was written by Steve Stalcup <vorian@ubuntu.com> and was modified by Massimo Cavalleri <submax@tiscalinet.it>.

SEE ALSO
trash-list(1), trash-restore(1), trash-empty(1), trash-rm(1), and the FreeDesktop.org Trash Specification at https://specifications.freedesktop.org/trash-spec/trashspec-1.0.html.

Both are released under the GNU General Public License, version 2 or later.